﻿/**Begin D:\PDM_UPGRADE\pdm1\OCOC_constraint.sql **/


 EXEC P_ALTERPK 'PK_OCOC_DEPOSIT', 'T_OCOC_DEPOSIT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOC_DEPOSIT_FBILLNO') CREATE INDEX IDX_OCOC_DEPOSIT_FBILLNO ON T_OCOC_DEPOSIT ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCOC_DEPOSIT_O', 'T_OCOC_DEPOSIT_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOC_DEPOSIT_O_RID') CREATE INDEX IDX_OCOC_DEPOSIT_O_RID ON T_OCOC_DEPOSIT_O ( FCHANGEPRICEOPRID );


 EXEC P_ALTERPK 'PK_OCOC_DEPOSITENTRY', 'T_OCOC_DEPOSITENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOC_DEPOSITENTRY_ID') CREATE INDEX IDX_OCOC_DEPOSITENTRY_ID ON T_OCOC_DEPOSITENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOC_DEPOSITFINENTRY', 'T_OCOC_DEPOSITFINENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOC_DEPOSITFINENTRY_ID') CREATE INDEX IDX_OCOC_DEPOSITFINENTRY_ID ON T_OCOC_DEPOSITFINENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOC_RIBILL', 'T_OCOC_RIBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOC_RIBILL_FBILLNO') CREATE INDEX IDX_OCOC_RIBILL_FBILLNO ON T_OCOC_RIBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOC_RIBILL_FBILLDATE') CREATE INDEX IDX_OCOC_RIBILL_FBILLDATE ON T_OCOC_RIBILL ( FBILLDATE );


 EXEC P_ALTERPK 'PK_OCOC_RIBILL_F', 'T_OCOC_RIBILL_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOC_RIBILLF_CURRID') CREATE INDEX IDX_OCOC_RIBILLF_CURRID ON T_OCOC_RIBILL_F ( FCURRENCYID );


 EXEC P_ALTERPK 'PK_OCOC_RIBILL_O', 'T_OCOC_RIBILL_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOC_RIBILL_O_CID') CREATE INDEX IDX_OCOC_RIBILL_O_CID ON T_OCOC_RIBILL_O ( FCHANGEPRICEOPRID );


 EXEC P_ALTERPK 'PK_OCOC_RIBILLENTRY', 'T_OCOC_RIBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOC_RIBILLENTRY_FID') CREATE INDEX IDX_OCOC_RIBILLENTRY_FID ON T_OCOC_RIBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOC_RIBILLENTRY_F', 'T_OCOC_RIBILLENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOC_RIBILLENTRYF_FID') CREATE INDEX IDX_OCOC_RIBILLENTRYF_FID ON T_OCOC_RIBILLENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_OCOC_RIBILLENTRY_O', 'T_OCOC_RIBILLENTRY_O', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOC_RIBILLENTRYO_FID') CREATE INDEX IDX_OCOC_RIBILLENTRYO_FID ON T_OCOC_RIBILLENTRY_O ( FID );


 EXEC P_ALTERPK 'PK_OCOC_RIBILLFINENTRY', 'T_OCOC_RIBILLFINENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOC_RIBILLFINENTRY_FID') CREATE INDEX IDX_OCOC_RIBILLFINENTRY_FID ON T_OCOC_RIBILLFINENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOC_RIBILLINVOICE', 'T_OCOC_RIBILLINVOICE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOC_RIBILLINVOICE_FID') CREATE INDEX IDX_OCOC_RIBILLINVOICE_FID ON T_OCOC_RIBILLINVOICE ( FID );



/**End D:\PDM_UPGRADE\pdm1\OCOC_constraint.sql **/
